package ninja.javafx.smartcsv.fx.table.model;

import org.junit.jupiter.api.Test;

import static org.hamcrest.Matchers.hasKey;
import static org.hamcrest.Matchers.is;
import static org.junit.Assert.assertThat;

/**
 * unit test for row class
 */
public class CSVRowTest {

    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    // constants
    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    private static final String COLUMN = "COLUMN";
    private static final String VALUE = "VALUE";

    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    // subject under test
    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    private CSVRow sut = new CSVRow();


    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    // tests
    ////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
    @Test
    public void adds_column_and_value_to_row() {
        // execution
        sut.addValue(COLUMN, VALUE);

        // assertion
        assertThat(sut.getColumns(), hasKey(COLUMN));
        assertThat(sut.getColumns().get(COLUMN).get().getValue(), is(VALUE));
    }


}